How do I make virtualmin use my own compiled php?

I thought maybe this needed its own thread.

I have a new version of php that I built and need to know how to get virtualmin to use my version.

I run php -v and receive:

PHP 5.2.6 with Suhosin-Patch 0.9.6.2 (cli) (built: Nov 20 2008 16:39:28)
Copyright © 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright © 1998-2008 Zend Technologies

But phpinfo says my version is

PHP Version 5.2.0-8+etch13

and no mention of the Suhosin patch…

How do I do this?

Thanks!

This has been fixed by me.